summaryrefslogtreecommitdiffstats
path: root/ci/cyclicTestTrigger.sh
diff options
context:
space:
mode:
authorshravani <shravani.p@tcs.com>2017-01-05 18:36:26 +0530
committerShravani Paladugula <shravani.p@tcs.com>2017-02-07 12:24:08 +0000
commit2046178d894438b492d93f30941076ee7964f6ab (patch)
tree062cd5a9ce3d01e2f5f3d86de46bd77b7098ea82 /ci/cyclicTestTrigger.sh
parentb79d79eb6385a92cdc8c29bf080810becc4602b7 (diff)
This patch contains the scripts to install the Qemu rpm and make use of it for
lauching guest VM's Change-Id: I74ce89e1e0d628b0be2d9165b8418a519b52064d Co-Authored-By: Y Rajitha <y.rajitha@tcs.com> Signed-off-by: Shravani <shravani.p@tcs.com>
Diffstat (limited to 'ci/cyclicTestTrigger.sh')
-rwxr-xr-xci/cyclicTestTrigger.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/ci/cyclicTestTrigger.sh b/ci/cyclicTestTrigger.sh
index ec0477fde..d222ae15b 100755
--- a/ci/cyclicTestTrigger.sh
+++ b/ci/cyclicTestTrigger.sh
@@ -14,11 +14,16 @@ testName=$4
source $WORKSPACE/ci/envs/utils.sh
KERNELRPM_VERSION=$( getKernelVersion )
+QEMURPM_VERSION=$( getQemuVersion )
if [ -z ${KERNELRPM_VERSION} ];then
echo "Kernel RPM not found in build_output Directory"
exit 1
fi
+if [ -z ${QEMURPM_VERSION} ];then
+ echo "QEMU RPM not found in build_output Directory"
+ exit 1
+fi
#calculating and verifying sha512sum of the guestimage.
function verifyGuestImage {
@@ -82,6 +87,7 @@ function host_clean {
sudo ssh root@${HOST_IP} "rpm=\$(rpm -qa | grep 'kernel-${KERNELRPM_VERSION}' | awk '{print \$1}'); rpm -ev \$rpm"
sudo ssh root@${HOST_IP} "rm -rf /boot/initramfs-${KERNELRPM_VERSION}*.img"
sudo ssh root@${HOST_IP} "grub2-mkconfig -o /boot/grub2/grub.cfg"
+ sudo ssh root@${HOST_IP} "rpm=\$(rpm -qa | grep 'qemu-${QEMURPM_VERSION}'| awk '{print \$1}'); rpm -ev \$rpm"
sudo ssh root@${HOST_IP} "reboot"
}
@@ -112,6 +118,7 @@ function runCyclicTest {
#copying required files to run yardstick cyclic testcase
cp $WORKSPACE/build_output/kernel-${KERNELRPM_VERSION}*.rpm ${volume}/rpm
+ cp $WORKSPACE/build_output/qemu-${QEMURPM_VERSION}*.rpm ${volume}/rpm
cp -r $WORKSPACE/ci/envs/* ${volume}/scripts
cp -r $WORKSPACE/tests/kvmfornfv_cyclictest_${testName}.yaml ${volume}
cp -r $WORKSPACE/tests/pod.yaml ${volume}/scripts